package com.ruoyi.system.mapper.visit.dr;

import com.ruoyi.system.domain.visit.dr.VisitDrTaskUser;
import com.ruoyi.system.domain.visit.dr.VisitDrTaskUserExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitDrTaskUserMapper {
    long countByExample(VisitDrTaskUserExample example);

    int deleteByExample(VisitDrTaskUserExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitDrTaskUser record);

    int insertSelective(VisitDrTaskUser record);

    List<VisitDrTaskUser> selectByExample(VisitDrTaskUserExample example);

    VisitDrTaskUser selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitDrTaskUser record, @Param("example") VisitDrTaskUserExample example);

    int updateByExample(@Param("record") VisitDrTaskUser record, @Param("example") VisitDrTaskUserExample example);

    int updateByPrimaryKeySelective(VisitDrTaskUser record);

    int updateByPrimaryKey(VisitDrTaskUser record);
}